ps_lattice_s Struct Reference

Word graph structure used in bestpath/nbest search. More...

`#include <ps_lattice_internal.h>`

## Data Fields

int | refcount
| Reference count.
logmath_t * | lmath
| Log-math object.
ps_search_t * | search
| Search (if generated by search).
dict_t * | dict
| Dictionary for this DAG.
int32 | silence
| Silence word ID.
int32 | frate
| Frame rate.
ps_latnode_t * | nodes
| List of all nodes.
ps_latnode_t * | start
| Starting node.
ps_latnode_t * | end
| Ending node.
frame_idx_t | n_frames
| Number of frames for this utterance.
int32 | n_nodes
| Number of nodes in this lattice.
int32 | final_node_ascr
| Acoustic score of implicit link exiting final node.
int32 | norm
| Normalizer for posterior probabilities.
char * | hyp_str
| Current hypothesis string.
listelem_alloc_t * | latnode_alloc
| Node allocator for this DAG.
listelem_alloc_t * | latlink_alloc
| Link allocator for this DAG.
listelem_alloc_t * | latlink_list_alloc
| List element allocator for this DAG.
latlink_list_t * | q_head
| Queue of links for traversal.
latlink_list_t * | q_tail
| Queue of links for traversal.

## Detailed Description

Word graph structure used in bestpath/nbest search.

Definition at line 61 of file ps_lattice_internal.h.

## Field Documentation

## dict

dict_t* ps_lattice_s::dict

Dictionary for this DAG.

Definition at line 66 of file ps_lattice_internal.h.

Referenced by ps_latlink_baseword(), ps_latlink_word(), ps_latnode_baseword(), ps_latnode_word(), ps_lattice_free(), ps_lattice_hyp(), ps_lattice_init_search(), ps_lattice_penalize_fillers(), ps_lattice_posterior(), ps_lattice_read(), ps_lattice_write(), and ps_lattice_write_htk().

## end

ps_latnode_t* ps_lattice_s::end

Ending node.

Definition at line 72 of file ps_lattice_internal.h.

Referenced by ngram_search_lattice(), ps_astar_next(), ps_astar_start(), ps_lattice_bestpath(), ps_lattice_penalize_fillers(), ps_lattice_posterior(), ps_lattice_posterior_prune(), ps_lattice_read(), ps_lattice_reverse_edges(), ps_lattice_traverse_next(), ps_lattice_write(), and ps_lattice_write_htk().

## final_node_ascr

int32 ps_lattice_s::final_node_ascr

Acoustic score of implicit link exiting final node.

Definition at line 76 of file ps_lattice_internal.h.

Referenced by ngram_search_lattice(), ps_lattice_bestpath(), and ps_lattice_posterior().

## frate

int32 ps_lattice_s::frate

Frame rate.

Definition at line 68 of file ps_lattice_internal.h.

Referenced by ps_lattice_init_search(), ps_lattice_read(), and ps_lattice_write_htk().

## hyp_str

char* ps_lattice_s::hyp_str

Current hypothesis string.

Definition at line 78 of file ps_lattice_internal.h.

Referenced by ps_lattice_free(), and ps_lattice_hyp().

## latlink_alloc

listelem_alloc_t* ps_lattice_s::latlink_alloc

Link allocator for this DAG.

Definition at line 81 of file ps_lattice_internal.h.

Referenced by ps_lattice_free(), ps_lattice_init_search(), ps_lattice_link(), ps_lattice_posterior_prune(), and ps_lattice_read().

## latlink_list_alloc

listelem_alloc_t* ps_lattice_s::latlink_list_alloc

List element allocator for this DAG.

Definition at line 82 of file ps_lattice_internal.h.

Referenced by latlink_list_new(), ps_lattice_free(), ps_lattice_init_search(), ps_lattice_link(), ps_lattice_popq(), ps_lattice_posterior_prune(), and ps_lattice_read().

## latnode_alloc

listelem_alloc_t* ps_lattice_s::latnode_alloc

Node allocator for this DAG.

Definition at line 80 of file ps_lattice_internal.h.

Referenced by ngram_search_lattice(), ps_lattice_free(), ps_lattice_init_search(), and ps_lattice_read().

## lmath

logmath_t* ps_lattice_s::lmath

Log-math object.

Definition at line 64 of file ps_lattice_internal.h.

Referenced by ps_latnode_prob(), ps_lattice_bestpath(), ps_lattice_free(), ps_lattice_get_logmath(), ps_lattice_init_search(), ps_lattice_posterior(), ps_lattice_read(), ps_lattice_write(), and ps_lattice_write_htk().

## n_frames

frame_idx_t ps_lattice_s::n_frames

Number of frames for this utterance.

Definition at line 74 of file ps_lattice_internal.h.

Referenced by ngram_search_lattice(), ps_astar_start(), ps_lattice_init_search(), ps_lattice_n_frames(), ps_lattice_read(), and ps_lattice_write().

## n_nodes

int32 ps_lattice_s::n_nodes

Number of nodes in this lattice.

Definition at line 75 of file ps_lattice_internal.h.

Referenced by ngram_search_lattice().

## nodes

ps_latnode_t* ps_lattice_s::nodes

List of all nodes.

Definition at line 70 of file ps_lattice_internal.h.

Referenced by ngram_search_lattice(), ps_astar_start(), ps_latnode_iter(), ps_lattice_bestpath(), ps_lattice_delete_unreachable(), ps_lattice_penalize_fillers(), ps_lattice_posterior(), ps_lattice_read(), ps_lattice_reverse_edges(), ps_lattice_traverse_edges(), ps_lattice_write(), and ps_lattice_write_htk().

## norm

int32 ps_lattice_s::norm

Normalizer for posterior probabilities.

Definition at line 77 of file ps_lattice_internal.h.

Referenced by ps_latlink_prob(), ps_latnode_prob(), ps_lattice_bestpath(), ps_lattice_posterior(), ps_lattice_posterior_prune(), ps_lattice_seg_iter(), and ps_lattice_write_htk().

## q_head

latlink_list_t* ps_lattice_s::q_head

Queue of links for traversal.

Definition at line 85 of file ps_lattice_internal.h.

Referenced by ps_lattice_popq(), and ps_lattice_pushq().

## q_tail

latlink_list_t* ps_lattice_s::q_tail

Queue of links for traversal.

Definition at line 86 of file ps_lattice_internal.h.

Referenced by ps_lattice_popq(), and ps_lattice_pushq().

## refcount

int ps_lattice_s::refcount

Reference count.

Definition at line 62 of file ps_lattice_internal.h.

Referenced by ps_lattice_free(), ps_lattice_init_search(), ps_lattice_read(), and ps_lattice_retain().

## search

ps_search_t* ps_lattice_s::search

Search (if generated by search).

Definition at line 65 of file ps_lattice_internal.h.

Referenced by ps_astar_hyp(), ps_astar_seg_iter(), ps_lattice_bestpath(), ps_lattice_init_search(), ps_lattice_read(), and ps_lattice_seg_iter().

## silence

int32 ps_lattice_s::silence

Silence word ID.

Definition at line 67 of file ps_lattice_internal.h.

Referenced by ps_lattice_init_search(), ps_lattice_penalize_fillers(), and ps_lattice_read().

## start

ps_latnode_t* ps_lattice_s::start

Starting node.

Definition at line 71 of file ps_lattice_internal.h.

Referenced by ngram_search_lattice(), ps_lattice_bestpath(), ps_lattice_penalize_fillers(), ps_lattice_posterior(), ps_lattice_posterior_prune(), ps_lattice_read(), ps_lattice_reverse_next(), ps_lattice_traverse_edges(), ps_lattice_write(), and ps_lattice_write_htk().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h